Subject: bug#16232: [PATCH] grep: make --ignore-case (-i) faster (sometimes 10x) in multibyte locales

From: Paul Eggert <[email-masked]>
Date: Wed, 19 Feb 2014 11:55:29 -0800

On 02/19/2014 11:17 AM, Jim Meyering wrote:
> I haven't investigated they "why" yet, but expect that I will make
> grep-2.18 with just this one performance-improving patch.

Can you make room for one more patch?  I have a test case and bugfix for 
grep's mishandling of regular expressions like [^^-~] in unibyte locales 
like the C locale on most platforms; this is due to the range-expression 
bug that Arnold reported recently.I can send out the patch later today 
if you like.  The bug has been present since grep 2.8 so I can 
understand if you'd rather wait to fix it until later.